
@echo off
chcp 65001 >nul
title 构建和打包工具

echo ========================================
echo       [94m《甘肃PC》[0m vue构建和打包工具
echo ========================================
echo.
@echo off
echo [1/3] 开始打包...
call npm run build
echo [2/3] 打包完成，正在压缩...
if exist pc.zip del pc.zip
powershell Compress-Archive -Path pc -DestinationPath pc.zip
echo [3/3] 压缩完成。
explorer .
msg * "《甘肃PC》打包完成！"
start http://localhost:9534?project=gs_pc
echo.
echo [94m《甘肃PC》[0m 打包流程已全部完成！按任意键关闭窗口...
pause >nul
